import { SvelteComponentTyped } from "svelte";
type Creator = {
    '@type': 'Person' | 'Organisation';
    name: string;
};
interface ImageJsonLd {
    contentUrl?: string;
    creator?: Creator;
    creditText?: string;
    copyrightNotice?: string;
    license?: string;
    acquireLicensePage?: string;
}
export interface ImageJsonLdProps extends JsonLdProps {
    images: ImageJsonLd[];
}
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: ImageJsonLdProps['keyOverride'];
        images: ImageJsonLdProps['images'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ImageProps = typeof __propDef.props;
export type ImageEvents = typeof __propDef.events;
export type ImageSlots = typeof __propDef.slots;
export default class Image extends SvelteComponentTyped<ImageProps, ImageEvents, ImageSlots> {
}
export {};
