import { SvelteComponentTyped } from "svelte";
export interface SoftwareAppJsonLdProps extends JsonLdProps {
    name: string;
    price: string;
    priceCurrency: string;
    applicationCategory?: string;
    operatingSystem?: string;
    review?: Review;
    aggregateRating?: AggregateRating;
}
import type { JsonLdProps } from './jsonld.js';
import type { Review, AggregateRating } from '../types.js';
declare const __propDef: {
    props: {
        keyOverride?: SoftwareAppJsonLdProps['keyOverride'];
        name: SoftwareAppJsonLdProps['name'];
        price: SoftwareAppJsonLdProps['price'];
        priceCurrency: SoftwareAppJsonLdProps['priceCurrency'];
        applicationCategory?: SoftwareAppJsonLdProps['applicationCategory'];
        operatingSystem?: SoftwareAppJsonLdProps['operatingSystem'];
        review?: SoftwareAppJsonLdProps['review'];
        aggregateRating?: SoftwareAppJsonLdProps['aggregateRating'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SoftwareAppProps = typeof __propDef.props;
export type SoftwareAppEvents = typeof __propDef.events;
export type SoftwareAppSlots = typeof __propDef.slots;
export default class SoftwareApp extends SvelteComponentTyped<SoftwareAppProps, SoftwareAppEvents, SoftwareAppSlots> {
}
export {};
